/************************************************************************************************************************
*                                                                                                                       *
* ATUALIZACAO DO TYPE PONTODEMONST_TYPE                                                                                 *
* OBJETIVO: ADICIONAR CAMPO ADICIONAL_NOTURNO                                                                           *
*                                                                                                                       *
* DATA: 31/05/2021                                                                                                      *
*                                                                                                                       *
*************************************************************************************************************************/

CREATE OR REPLACE TYPE         "PONTODEMONST_TYPE" AS
OBJECT (ENTRADA VARCHAR2(5),      /*hora de entrada*/
        ALMOCO      NUMBER,       /*tempo de almoço*/
        SAIDA       VARCHAR2(5),  /*hora de saída*/
        AU_INJU     NUMBER,       /*ausência intrajornada injustificada*/
        AU_JUST     NUMBER,       /*ausência intrajornada justificada*/
        AU_TOTA     NUMBER,       /*ausência intrajornada tempo total*/
        TRABALH     NUMBER,       /*horas trabalhadas*/
        DIF_TRA     NUMBER,       /*diferença sobre jornada*/
        BH_S_AC     NUMBER,       /*banco de horas sem acréscimo*/
        BH_C_AC     NUMBER,       /*banco de horas com acréscimo*/
        HE_AUTO     NUMBER,       /*horas extras autorizadas*/
        HE_NAUT     NUMBER,       /*horas extras não autorizadas*/
        FL_ATRA     NUMBER,       /*faltas atrazos*/
        FL_DIAS     NUMBER,       /*faltas dias*/
        TRAB_NORM   NUMBER,       /*Quantidade de horas trabalhadas normais*/
        BH_DESC_DIA NUMBER,       /*Desconto de banco de horas do dia*/
        BH_DIA_ANT  NUMBER,       /*Saldo do banco de horas do dia anterior*/
		ID_PROGOCOR VARCHAR2(1),  /*Retorna o campo IDPROGOCORCONFIRMADA, 'S' e 'N' para programação de ocorrência definida, e 'P' para	programação de ocorrência pendente, ou seja, a folha de ponto não é válida.*/
        ID_DIAAPURADO VARCHAR2(1),
        /* viniciusmayrink  - 31/05/2021 */
        ADICIONAL_NOTURNO NUMBER  /*Adicional noturno*/
        )
/